Main Page Widgets Namespaces Book

# stateset.h File Reference

## Namespaces

namespace | Atk
namespace | Glib

## Classes

class | Atk::StateSet
| An AtkStateSet determines a component's state set. More...

## Enumerations

enum

StateType {
STATE_INVALID,
STATE_ACTIVE,
STATE_ARMED,
STATE_BUSY,
STATE_CHECKED,
STATE_DEFUNCT,
STATE_EDITABLE,
STATE_ENABLED,
STATE_EXPANDABLE,
STATE_EXPANDED,
STATE_FOCUSABLE,
STATE_FOCUSED,
STATE_HORIZONTAL,
STATE_ICONIFIED,
STATE_MODAL,
STATE_MULTI_LINE,
STATE_MULTISELECTABLE,
STATE_OPAQUE,
STATE_PRESSED,
STATE_RESIZABLE,
STATE_SELECTABLE,
STATE_SELECTED,
STATE_SENSITIVE,
STATE_SHOWING,
STATE_SINGLE_LINE,
STATE_STALE,
STATE_TRANSIENT,
STATE_VERTICAL,
STATE_VISIBLE,
STATE_MANAGES_DESCENDANTS,
STATE_INDETERMINATE,
STATE_TRUNCATED,
STATE_LAST_DEFINED
}